Users cannot change PHP version in subscriptions even though the corresponding permission is provided

Created:

2016-11-16 13:11:21 UTC

Modified:

2017-08-08 13:36:58 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Users cannot change PHP version in subscriptions even though the corresponding permission is provided

Applicable to:

  • Plesk 12.5 for Linux

Symptoms

  • When "PHP version and handler management permission" is provided by Service Plan, it is not possible to change the type of PHP handler in subscription PHP settings, only one is available.

  • In /usr/local/psa/admin/conf/site_isolation_settings.ini configuration file, php_handler_type is set to any .

Cause

This is a software issue with internal ID #PPPM-4543 , the fix is considered to be included in one of the next Plesk 12.5 updates.

Workaround

There are two workarounds:

  1. Comment the option php_handler_type = any in /usr/local/psa/admin/conf/site_isolation_settings.ini .

    or

  2. On the Service Plan permissions tab enable the Setup of potentially insecure web scripting options that override provider's policy option.

Have more questions? Submit a request
Please sign in to leave a comment.